For Developers
Update Product
PATCH https://ed.link/api/v2/teams/:team_id/products/:product_id
Updates properties of an existing catalog product.
Permissions
Requires the products.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:product_id | UUID | Yes | The ID of the product. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
name | String | No | Updated product name. |
code | String | No | Updated product SKU/code. |
description | String | No | Updated product description. |
picture_url | String | No | Updated picture URL. |
state | String | No | Updated product state. |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}/products/${product_id}`,
{
name: 'Math Mastery Suite - Grades 6-8 (Enhanced)'
},
{
headers: {
authorization: `Bearer ${user_session_token}`,
'content-type': 'application/json'
}
}
);
Sample Response
{
"$data": {
"id": "e891024b-3211-479c-9c3f-918239023412",
"name": "Math Mastery Suite - Grades 6-8 (Enhanced)",
"code": "MMS-G68"
}
}
